Bug 1286386 - web browser crash on specific videos (depending on codec)
web browser crash on specific videos (depending on codec)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libva-vdpau-driver (Show other bugs)
23
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nicolas Chauvet (kwizart)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-28 16:18 EST by John D.
Modified: 2016-03-28 15:21 EDT (History)
1 user (show)

See Also:
Fixed In Version: libva-vdpau-driver-0.7.4-13.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-28 15:21:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John D. 2015-11-28 16:18:24 EST
Description of problem:
When I try to watch a video on some platforms like kickstarter.com my internet browser instantly crashes. I've tried it with Firefox, Epiphany and Midori, all crash with the same videos. So it turned out to be a problem with a fedora package. It crashes on any kickstarter.com video (example: https://www.kickstarter.com/projects/588998327/acpad-the-electronic-orchestra-for-your-guitar?ref=home_potd) or also on this one: http://www.quirksmode.org/html5/videos/big_buck_bunny.mp4 , while youtube videos or http://www.quirksmode.org/html5/videos/big_buck_bunny.webm and http://www.quirksmode.org/html5/videos/big_buck_bunny.ogv work just fine.
This is the output of firefox' crash report:
https://crash-stats.mozilla.com/report/index/edcd6a0c-f4e3-42ee-a062-00d352151128
Starting firefox in a terminal and make it crash results in this output:
$ firefox
DtsGetHWFeatures: Create File Failed
DtsGetHWFeatures: Create File Failed
Running DIL (3.22.0) Version
DtsDeviceOpen: Opening HW in mode 0
DtsDeviceOpen: Create File Failed
libva info: VA-API version 0.38.0
libva info: va_getDriverName() returns 0
libva info: Trying to open /usr/lib64/dri/r600_drv_video.so
libva info: Found init function __vaDriverInit_0_38
Failed to open VDPAU backend libvdpau_r600.so: Kann die Shared-Object-Datei nicht öffnen: Datei oder Verzeichnis nicht gefunden
Gleitkomma-Ausnahme (Speicherabzug geschrieben)

removing the libva-vdpau-driver package makes the bug disappear, so it seems that this package is the source of this bug.

Version-Release number of selected component (if applicable):
libva-vdpau-driver       x86_64       0.7.4-12.fc23       @updates

How reproducible:
With libva-vdpau-driver installed it always crashes with these videos:
https://www.kickstarter.com/projects/588998327/acpad-the-electronic-orchestra-for-your-guitar?ref=home_potd
http://www.quirksmode.org/html5/videos/big_buck_bunny.mp4

Steps to Reproduce:
1. install libva-vdpau-driver on current Fedora 23
2. start this video: http://www.quirksmode.org/html5/videos/big_buck_bunny.mp4
Comment 1 Nicolas Chauvet (kwizart) 2015-11-28 17:40:10 EST
Version-Release number of selected component (if applicable):
libva-vdpau-driver       x86_64       0.7.4-12.fc23       @updates
this update should be have been reverted.

I'm submitting an update that will fix that.
libva-vdpau-driver alone is working fine with vlc(vaapi or vdpau), it's probably your video player implementation of vaapi or vaapi itslef that is broken.
Comment 2 Fedora Update System 2015-11-28 17:53:26 EST
libva-vdpau-driver-0.7.4-13.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-dc1b2eaea6
Comment 3 Fedora Update System 2015-11-29 18:53:10 EST
libva-vdpau-driver-0.7.4-13.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update libva-vdpau-driver'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-dc1b2eaea6
Comment 4 Fedora Update System 2016-03-28 15:21:28 EDT
libva-vdpau-driver-0.7.4-13.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.